<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head>
<!--[if ie]><meta content='IE=edge' http-equiv='X-UA-Compatible'/><![endif]-->
<title><?php if ( is_category() ) {
	echo __('Category Archive for', 'satori').' &quot;'; single_cat_title(); echo '&quot; | '; bloginfo( 'name' );
} elseif ( is_tag() ) {
	echo __('Tag Archive for', 'satori').' &quot;'; single_tag_title(); echo '&quot; | '; bloginfo( 'name' );
} elseif ( is_archive() ) {
	wp_title(''); echo ' '.__('Archive', 'satori').' | '; bloginfo( 'name' );
} elseif ( is_search() ) {
	echo __('Search for', 'satori').' &quot;'.wp_specialchars($s).'&quot; | '; bloginfo( 'name' );
} elseif ( is_home() ) {
	bloginfo( 'name' ); echo ' | '; bloginfo( 'description' );
}  elseif ( is_404() ) {
	echo __('Error 404 Not Found', 'satori').' | '; bloginfo( 'name' );
} elseif ( is_single() ) {
	wp_title('');
} else {
	wp_title(' | ', 1, 'right'); bloginfo( 'name' );
} ?></title>
	
<meta name="description" content="<?php bloginfo( 'description' ); ?>" />
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<link rel="profile" href="http://gmpg.org/xfn/11" />
<meta name="viewport" content="width=device-width, initial-scale=1"/><?php /* Add "maximum-scale=1" to fix the Mobile Safari auto-zoom bug on orientation changes, but keep in mind that it will disable user-zooming completely. Bad for accessibility. */ ?>

<meta http-equiv="content-language" content="zh" />
<link rel="shortcut icon" href="<?php if ( function_exists( 'kanso_sd_get_option_tree' ) ) { if (is_string(kanso_sd_get_option_tree( 'favicon' )))  { echo kanso_sd_get_option_tree( 'favicon' ); } else { echo get_template_directory_uri().'/images/favicon.png'; } } ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'rss2_url' ); ?>" />
<link rel="alternate" type="application/atom+xml" title="<?php bloginfo( 'name' ); ?>" href="<?php bloginfo( 'atom_url' ); ?>" />	

<?php if ( is_singular() && get_option( 'thread_comments' ) )  wp_enqueue_script( 'comment-reply' );  ?>

<?php wp_head(); // this is used by many Wordpress features and for plugins to work properly */ ?>

</head>

<?php $kanso_sd_bodyclass = "";
if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') ) { 
	$kanso_sd_bodyclass .= 'page-portfolio';
}
if ( is_single() ) { 
	if (get_post_meta(get_the_ID(), 'satori_post-layout', true)) {
		$kanso_sd_bodyclass .= 'post-layout-'.strtolower(str_replace(' ','-',get_post_meta(get_the_ID(), 'satori_post-layout', true)));
	} else {
		$kanso_sd_bodyclass .= 'post-layout-right-sidebar';
	}
}
if ( is_page() && !is_page_template() ) { 
	$kanso_sd_bodyclass .= 'page-template-page_right-sidebar-php';
} 
if ( is_page_template ('page_portfolio.php') || is_tax('tagportfolio') ) {
	$kanso_sd_bodyclass .= ' isotope';
}
?>

<body <?php body_class($kanso_sd_bodyclass); ?>>
<?php wp_reset_query() ?>
<div id="page-background"><?php if ( function_exists( 'kanso_sd_get_option_tree' ) ) { if (kanso_sd_get_option_tree( 'background' ) == "Stretched image" && is_string(kanso_sd_get_option_tree( 'background_image' )))  { echo '<img src="'.kanso_sd_get_option_tree( 'background_image' ).'" width="100%" height="100%"  />'; }} ?></div>
<div class="none">
	<p><a href="#content"><?php _e('Skip to Content', 'satori'); ?></a></p><?php /* used for accessibility, particularly for screen reader applications */ ?>
</div><!--.none-->
<div id="main-header"><!-- This encompasses the top of the website -->
    
	<!-- Header functions -->
	<?php include 'header-functions.php'; ?> 

	<!-- Custom styles -->
	<?php include 'custom-styles.php'; ?> 
        
	<div id="header" class="bigheader"><header>
    	<div class="container">
            <div class="bigheader" id="header-box">
            
                <!-- Logo -->
                
                <?php if ( is_string (kanso_sd_get_option_tree ('logo'))) { ?>
                <div id="logo-wrap">
                    <a href="<?php echo home_url(); ?>" <?php if ( function_exists( 'kanso_sd_get_option_tree' ) ) { if (kanso_sd_get_option_tree( 'logo_filter' ) == "Yes") { ?> data-filter="*" <?php } } ?>>
                        <div id="logo">
                            <img src="<?php if ( function_exists( 'kanso_sd_get_option_tree' ) ) { if (is_string(kanso_sd_get_option_tree( 'logo' ))) { echo kanso_sd_get_option_tree( 'logo' ); }} ?>" alt="logo">
                        </div>
                    </a>
                </div>
                <?php } ?>
                
                <!-- Primary menu -->
                
                <div id="nav-wrap">
                
                    <div id="mobile-menu-sign">
                        <i class="fa fa-reorder"></i>
                    </div>
                
                    <?php if ( function_exists ( 'kanso_sd_get_option_tree' ) && kanso_sd_get_option_tree ( 'onepage' ) == 'Activate' ) { ?>
                    <div id="nav-primary" class="nav<?php if ( basename( get_page_template() ) == 'page_one-page.php' ) { echo ' nav-smooth'; } ?>">
                        <nav>
                            <div class="menu-container">
                                <ul class="main-menu">
                                    <?php 
                                    $kanso_sd_menupageids = kanso_sd_get_option_tree('onepage_pages','',false,true,-1);
                                    $kanso_sd_menuexclpageids = kanso_sd_get_option_tree('onepage_excl_menu','',false,true,-1);
                                    if ( is_array ( $kanso_sd_menupageids ) ) {
                                        $kanso_sd_menupageids = array_filter($kanso_sd_menupageids);
                                    }
                                    if ( is_array ( $kanso_sd_menuexclpageids ) ) {
                                        $kanso_sd_menuexclpageids = array_filter($kanso_sd_menuexclpageids);
                                    }
                                    if (!empty($kanso_sd_menuexclpageids)) {
                                        $kanso_sd_menupageincl = array_diff ( $kanso_sd_menupageids , $kanso_sd_menuexclpageids );
                                    } else {
                                        $kanso_sd_menupageincl = $kanso_sd_menupageids;	
                                    }
                                    if (!empty($kanso_sd_menupageids)) {
                                        $kanso_sd_menu_query = new WP_Query( array( 'post_type' => 'page', 'post_status' => 'publish', 'post__in' => $kanso_sd_menupageincl, 'orderby' => 'menu_order', 'posts_per_page' => -1 ) );	
                                    } else {
                                        $kanso_sd_menu_query = new WP_Query( array( 'post_type' => 'page', 'post_status' => 'publish', 'orderby' => 'menu_order', 'post__not_in' =>  $kanso_sd_menuexclpageids, 'posts_per_page' => -1 ) );
                                    }
                                    if ($kanso_sd_menu_query->have_posts()) { while ($kanso_sd_menu_query->have_posts()) { $kanso_sd_menu_query->the_post(); ?>
                                        <li class="menu-item" id="menu-item-<?php echo $post->ID; ?>">
                                            <a href="<?php echo home_url(); ?>#page-holder-<?php echo $post->ID; ?>">
                                                <?php the_title(); ?>
                                            </a>
                                        </li>
                                    <?php } } wp_reset_query(); ?>
                                </ul>
                            </div>
                            <?php if (has_nav_menu('header-menu')) {  ?>
								<?php wp_nav_menu( array( 'theme_location' => 'header-menu','depth'=>'2','menu_class'=>'main-menu','container_class'=>'menu-container','items_wrap'=>'<ul id="%1$s" class="%2$s static-menu">%3$s</ul>','fallback_cb' => 'false' ) ); ?>                                        
                            <?php } ?>
                        </nav>
                    </div>
                <?php } else { ?>
                    <?php if (has_nav_menu('header-menu')) {  ?><div id="nav-primary" class="nav"><nav>
                        <?php wp_nav_menu( array( 'theme_location' => 'header-menu','depth'=>'2','menu_class'=>'main-menu','container_class'=>'menu-container','items_wrap'=>'<ul id="%1$s" class="%2$s">%3$s</ul>','fallback_cb' => 'false' ) ); ?>                                        
                        </nav>
                    </div>
                    <?php } ?>
                <?php } ?>
                </div>
                            
                <!-- Header social icons -->
                
                <?php 
                $kanso_sd_header_social = '';
                if ( function_exists ( 'kanso_sd_get_option_tree' ) ) { 
                    $kanso_sd_headersocial = array ( "facebook", "twitter", "google-plus", "linkedin", "pinterest", "flickr", "rss", "youtube" );
                    foreach ( $kanso_sd_headersocial as $kanso_sd_headersocialicon ) {
                        $kanso_sd_headersocialcheck = "header_".str_replace("-","_",$kanso_sd_headersocialicon);
                        if ( kanso_sd_get_option_tree ( 'header_social_target' ) == "Same tab/window" ) { $kanso_sd_target = "_self"; } else { $kanso_sd_target = "_blank"; }
                        if ( is_string ( kanso_sd_get_option_tree ( $kanso_sd_headersocialcheck ) ) ) {
                            $kanso_sd_header_social .= '<a href="'.kanso_sd_get_option_tree( $kanso_sd_headersocialcheck ).'" target="'.$kanso_sd_target.'"><i class="fa fa-'.$kanso_sd_headersocialicon.'"></i></a>';
                        }
                    }
                    if ( is_string (kanso_sd_get_option_tree('header_custom_social_1_icon'))) {
                        $kanso_sd_header_social .= '<a href="'.kanso_sd_get_option_tree('header_custom_social_1').'" target="'.$kanso_sd_target.'" class="header-social-custom" id="header-social-custom-1"><img src="'.kanso_sd_get_option_tree('header_custom_social_1_icon').'" alt="custom social network"></a>';	
                    }
                    if ( is_string (kanso_sd_get_option_tree('header_custom_social_2_icon'))) {
                        $kanso_sd_header_social .= '<a href="'.kanso_sd_get_option_tree('header_custom_social_2').'" target="'.$kanso_sd_target.'" class="header-social-custom" id="header-social-custom-2"><img src="'.kanso_sd_get_option_tree('header_custom_social_2_icon').'" alt="custom social network"></a>';	
                    }
                }
                if ( $kanso_sd_header_social != '' ) {
                    echo '<div id="social-top">'.$kanso_sd_header_social.'</div>';
                }
                
                ?>
                 
                <div class="clear"></div>
                
            </div>
    	</div>
	</header></div>
    
    <div id="header-spacer">
    </div>
    
</div>

<div class="slider" id="header-slider">
	<?php
	if ( is_string (kanso_sd_get_option_tree('revslider')) && function_exists('putRevSlider') ) {
		$kanso_sd_slideralias = kanso_sd_get_option_tree('revslider');
		$kanso_sd_sliderdisplay = kanso_sd_get_option_tree('revslider_display');
		if ( $kanso_sd_sliderdisplay == 'All pages' ) {
			putRevSlider( $kanso_sd_slideralias ); 
		} elseif ( $kanso_sd_sliderdisplay == 'Only front page' ) {
			if ( is_front_page() ) {
				putRevSlider( $kanso_sd_slideralias ); 	
			}
		} elseif ( $kanso_sd_sliderdisplay == 'Only blog posts page' ) {
			if ( is_home() || is_page_template('page_blog-posts.php') ) {
				putRevSlider( $kanso_sd_slideralias ); 	
			}	
		} elseif ( $kanso_sd_sliderdisplay == 'Only on specific pages (set below)' ) {
			$kanso_sd_sliderpages = kanso_sd_get_option_tree('revslider_pages','',false,true,-1);
			$kanso_sd_post = $wp_query->post;
			foreach ( $kanso_sd_sliderpages as $kanso_sd_sliderpage ) {
				if ( $kanso_sd_sliderpage == $post->ID ) {
					putRevSlider( $kanso_sd_slideralias ); 
				}
			}
		} elseif ( $kanso_sd_sliderdisplay == 'Nowhere' ) {
			'';
		}
	}
	?>
</div>

<div id="main-body" class="<?php if (get_post_meta( $post->ID, '_cmb_page_parallax_bck', true ) && !is_page_template('page_one-page.php') ) echo 'parallax'; ?>">
<!-- Content of the website -->

	<?php
    if ( is_page() ) {
        $kanso_sd_pagecheck = 'page';	
    } else { 
        $kanso_sd_pagecheck = 'notpage';
    }
	add_post_meta ( $post->ID, 'ispage', $kanso_sd_pagecheck, true);
    ?>
    
	<?php global $kanso_sd_tagp; 
    if(is_tax('tagportfolio')) { $kanso_sd_tagp = 1; } ?>

	<div class="<?php if ( is_archive() || is_search() || is_tax('tagportfolio') ) { echo "main-container-archive"; } ?>" id="main-container">